APS Installer - Veraltete Apps

#1
Hallo,

ich habe ISPConfig 3.0.5.2 auf einem neuen Server aufgesetzt - und nun das seltsame Problem, dass einige APS Installer Apps nur in einer veralteten Version zur Verfügung stehen.

Z.B.:

cubecart: 3.0.20-10 statt 5.2.1-7
WordPress: 2.0-29 statt 3.5.1-1

Bei den meisten Apps ist die aktuelle Version vorhanden - aber eben nicht bei allen.

"Update Packagelist" habe ich bereits mehrfach versucht - ändert aber nichts.

Und es wird tatsächlich die alte Version installiert (habe ich mit WordPress ausprobiert, da ich zuerst ein Anzeigeproblem vermutet habe).


Kann man die APS Apps-Liste evt. manuell updaten ?

Danke !


---- Nachtrag 14.20 Uhr ----

Ich habe nun auch das Verzeichnis /usr/local/ispconfig/interface/web/sites/aps_meta_packages/* gelöscht und danach nochmal die Paketliste upgedated - es werden bei manchen Apps die alten Versionen installiert:

drwxr-sr-x 2 ispconfig ispconfig 4096 Apr 25 14:16 joomla-1.0.15-7.app.zip
drwxr-sr-x 2 ispconfig ispconfig 4096 Apr 25 14:16 WordPress-2.0-29.app.zip
Bei anderen Apps passt hingegen die Version und diese ist aktuell - z.B. Drupal (7.22-1)...
 
Zuletzt bearbeitet:
#2
Habe das selbe Problem seit heute bemerkt. bei joomla werden 2 versionen angezeigt aber immer die selben installiert. da dürfte mit dem repo was nicht stimmen. :eek:

in bezug auf http://www.howtoforge.de/forum/inst...liste-aktualitaet-und-speicherverbrauch-6875/

in ispconfig scheint die datenbank nicht mehr richtig zu sein. habe auch das verzeichnis gelöscht.

auf der webseite werden aber die richtigen aps angezeigt wenn man auf 1 oder 1.1 filtert

kann ich das in ISPConfig irgend wo einstellen oder ist da fix verankert

mfg
 
Zuletzt bearbeitet:
#3
Als temporären Fix habe ich jetzt das Verzeichnis /usr/local/ispconfig/interface/web/sites/aps_meta_packages von einem anderen Server kopiert und die veralteten Versionen deaktiviert.

Somit kann zumindest ein Kunde keine veralteten Versionen installieren.
 

Till

Administrator
#7
APS 1.2 ist in ISPConfig 3.1 bereits implementiert im gegensatz zu aps 1.0 in der aktuellen release von ISPConfig und für aps 1.2 gibt es alle aktuellen apps. V2 macht keinen sinn wie sich rausgestellt hat, denn das wird von den app entwicklern nicht wirklich angenommen, zumindest nicht von denen die cms systeme packen.
 
#8
APS 1.2 ist in ISPConfig 3.1 bereits implementiert im gegensatz zu aps 1.0 in der aktuellen release von ISPConfig und für aps 1.2 gibt es alle aktuellen apps. V2 macht keinen sinn wie sich rausgestellt hat, denn das wird von den app entwicklern nicht wirklich angenommen, zumindest nicht von denen die cms systeme packen.
Das hört sich doch schon mal super an :)
Weiss man schon das Release Datum von 3.1?
Habe aktuell 3.0.5.4p8 im Einsatz und kriege nur die APS 1.0 Apps.
 

Werbung